QGIS Application - Bug report #20138

"Show selected features" attribute table behavior doesn't work

2018-10-17 05:18 PM - Matthew Jurewicz

Status: Closed
Priority: Normal
Assignee:

Category: Attribute table

Affected QGIS version:3.2.3
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:
Easy fix?:
Resolution:

No
No
not reproducable

Copied to github as #: 27959

Description

Settings > Options > "Data Sources" > "Attribute table behavior" > "Show selected features" does not affect map layer attribute tables
(they always show all features). This is a problem when a layer has lots of features since the attribute table loads very slowly.

History

#1 - 2018-10-17 05:21 PM - Giovanni Manghi
- Status changed from Open to Feedback

works as expected here on ggis/master on linux.

#2 - 2018-10-17 05:23 PM - Alessandro Pasotti

| can confirm: on master it works just fine, can you please test the latest builds?

#3 - 2018-10-17 05:39 PM - Jeffrey Bostoen

| also noticed this before earlier on, then | was recommended to use Shift + F6, which worked like expected.

#4 - 2018-10-17 09:22 PM - Matthew Jurewicz

Shift + F6 is a good work-around. The issue doesn't seem to be fixed in the latest nightly dev build. Please read description since | think we're talking

about two separate things.

#5 - 2018-10-18 01:56 PM - Giovanni Manghi

Matthew Jurewicz wrote:

The issue doesn't seem to be fixed in the latest nightly dev build

it works fine here, maybe is data related? what datasource are you using?

#6 - 2018-10-18 06:45 PM - Matthew Jurewicz
- File Capture.PNG added

Giovanni Manghi wrote:

Matthew Jurewicz wrote:

The issue doesn't seem to be fixed in the latest nightly dev build

it works fine here, maybe is data related? what datasource are you using?

I'm using a PostGIS layer. I've attached a screenshot of my setting.

#7 - 2018-10-19 10:56 AM - Giovanni Manghi

Matthew Jurewicz wrote:

Giovanni Manghi wrote:

Matthew Jurewicz wrote:

The issue doesn't seem to be fixed in the latest nightly dev build

it works fine here, maybe is data related? what datasource are you using?

I'm using a PostGIS layer. I've attached a screenshot of my setting.

same settings here, same datasource.

#8 - 2018-11-01 06:14 PM - Matthew Jurewicz

Giovanni Manghi wrote:

Matthew Jurewicz wrote:

Giovanni Manghi wrote:

Matthew Jurewicz wrote:

The issue doesn't seem to be fixed in the latest nightly dev build

it works fine here, maybe is data related? what datasource are you using?

I'm using a PostGIS layer. I've attached a screenshot of my setting.

same settings here, same datasource.

| guess it should be cancelled, assuming I'm mistaken. Shift + F6 works fine for me.
#9 - 2018-11-01 09:27 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed
